org.apache.ignite.spi.systemview.view.datastructures

## Class CountDownLatchView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.datastructures.CountDownLatchView

    public class CountDownLatchView
    extends Object

`IgniteCountDownLatch` representation for a `SystemView`.

See Also:
  `Ignite.countDownLatch(String, int, boolean, boolean)`

### Field Summary

Fields
`protected T` `ds` Data structure instance.

### Constructor Summary

Constructors
Constructor and Description
`CountDownLatchView(GridCacheRemovable ds)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `autoDelete()`
`int` `count()`
`int` `groupId()`
`String` `groupName()`
`int` `initialCount()`
`String` `name()`
`boolean` `removed()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ds

    protected final T extends AtomicDataStructureProxy ds

Data structure instance.

### Constructor Detail

#### CountDownLatchView

    public CountDownLatchView(GridCacheRemovable ds)

Parameters:
  `ds` - Data structure instance.

### Method Detail

#### count

    public int count()

Returns:
  Count.
See Also:
  `IgniteCountDownLatch.count()`

#### initialCount

    public int initialCount()

Returns:
  Initial count.
See Also:
  `IgniteCountDownLatch.initialCount()`

#### autoDelete

    public boolean autoDelete()

Returns:
  `True` if latch is auto removed after counter down to 0.
See Also:
  `IgniteCountDownLatch.autoDelete()`

#### name

    public String name()

Returns:
  Name.

#### groupName

    public String groupName()

Returns:
  Group name.

#### groupId

    public int groupId()

Returns:
  Group id.

#### removed

    public boolean removed()

Returns:
  `True` is data structure removed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022